From: Markus Lehtonen <markus.lehtonen@linux.intel.com>
To: openembedded-core@lists.openembedded.org
Subject: [PATCH 16/19] build-perf-test-wrapper.sh: parse args with getopts
Date: Wed, 24 Aug 2016 10:13:06 +0300 [thread overview]
Message-ID: <1472022789-13028-17-git-send-email-markus.lehtonen@linux.intel.com> (raw)
In-Reply-To: <1472022789-13028-1-git-send-email-markus.lehtonen@linux.intel.com>
Use getopts for parsing the command line. This changes the usage so that
if a commit (to-be-tested) is defined it must be given by using '-c',
instead of a positional argument.
Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
---
scripts/contrib/build-perf-test-wrapper.sh | 30 +++++++++++++++++++++++-------
1 file changed, 23 insertions(+), 7 deletions(-)
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index e8e8021..8eb4fdb 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -20,17 +20,33 @@
script=`basename $0`
usage () {
- echo "Usage: $script [COMMITISH]"
+cat << EOF
+Usage: $script [-h] [-c COMMITISH] [-C GIT_REPO]
+
+Optional arguments:
+ -h show this help and exit.
+ -c COMMITISH test (checkout) this commit
+EOF
}
-if [ $# -gt 1 ]; then
- usage
- exit 1
-fi
-commitish=$1
-echo "Running on `uname -n`"
+# Parse command line arguments
+commitish=""
+while getopts "hc:" opt; do
+ case $opt in
+ h) usage
+ exit 0
+ ;;
+ c) commitish=$OPTARG
+ ;;
+ *) usage
+ exit 1
+ ;;
+ esac
+done
+
+echo "Running on `uname -n`"
if ! git_topdir=$(git rev-parse --show-toplevel); then
echo "The current working dir doesn't seem to be a git clone. Please cd there before running `basename $0`"
exit 1
--
2.6.6
next prev parent reply other threads:[~2016-08-24 7:13 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-24 7:12 [PATCH 00/19] oe-build-pef-test: support saving results in a Git repo Markus Lehtonen
2016-08-24 7:12 ` [PATCH 01/19] oe-build-perf-test: implement --run-tests option Markus Lehtonen
2016-08-24 7:12 ` [PATCH 02/19] oe-build-perf-test: use absolute paths in cmdline args Markus Lehtonen
2016-08-24 7:12 ` [PATCH 03/19] oeqa.utils.git: support git commands with updated env Markus Lehtonen
2016-08-24 7:12 ` [PATCH 04/19] oeqa.utils.git: introduce GitRepo.rev_parse() Markus Lehtonen
2016-08-24 7:12 ` [PATCH 05/19] oeqa.utils.git: implement GitRepo.get_current_branch() Markus Lehtonen
2016-08-24 7:12 ` [PATCH 06/19] oeqa.utils.git.GitRepo: new arg to require topdir Markus Lehtonen
2016-08-24 7:12 ` [PATCH 07/19] oeqa.buildperf: use term commit instead of revision Markus Lehtonen
2016-08-24 7:12 ` [PATCH 08/19] oe-build-perf-test: support committing results data to Git Markus Lehtonen
2016-08-24 7:12 ` [PATCH 09/19] oe-build-perf-test: implement --commit-results-branch Markus Lehtonen
2016-08-24 7:13 ` [PATCH 10/19] oeqa.utils.git: implement init() method Markus Lehtonen
2016-08-24 7:13 ` [PATCH 11/19] oe-build-perf-test: pre-check Git repo when using --commit-results Markus Lehtonen
2016-08-24 7:13 ` [PATCH 12/19] oe-build-perf-test: tag results committed to Git Markus Lehtonen
2016-08-24 7:13 ` [PATCH 13/19] oe-build-perf-test: new {tag_num} keyword for --commit-results-tag Markus Lehtonen
2016-08-24 7:13 ` [PATCH 14/19] oeqa.buildperf: add git commit count to result data Markus Lehtonen
2016-08-24 7:13 ` [PATCH 15/19] oe-build-perf-test: add {git_commit_count} keyword for --commit-results-tag Markus Lehtonen
2016-08-24 7:13 ` Markus Lehtonen [this message]
2016-08-24 7:13 ` [PATCH 17/19] build-perf-test-wrapper.sh: allow saving results in Git Markus Lehtonen
2016-08-24 7:13 ` [PATCH 18/19] build-perf-test-wrapper.sh: make archive dir configurable Markus Lehtonen
2016-08-24 7:13 ` [PATCH 19/19] build-perf-test-wrapper.sh: make workdir configurable Markus Lehtonen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1472022789-13028-17-git-send-email-markus.lehtonen@linux.intel.com \
--to=markus.lehtonen@linux.intel.com \
--cc=openembedded-core@lists.openembedded.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox